## tracker-ontologies

tracker-ontologies

## Synopsis

    #define             TRACKER_RDF_PREFIX
    #define             TRACKER_RDFS_PREFIX
    #define             TRACKER_XSD_PREFIX
    #define             TRACKER_TRACKER_PREFIX
    #define             TRACKER_DC_PREFIX
    #define             TRACKER_MAEMO_PREFIX
    #define             TRACKER_NRL_PREFIX
    #define             TRACKER_NMO_PREFIX
    #define             TRACKER_NIE_PREFIX
    #define             TRACKER_NCO_PREFIX
    #define             TRACKER_NAO_PREFIX
    #define             TRACKER_NID3_PREFIX
    #define             TRACKER_NFO_PREFIX
    #define             TRACKER_NMM_PREFIX
    #define             TRACKER_MLO_PREFIX
    #define             TRACKER_DATASOURCE_URN_PREFIX
    #define             TRACKER_NON_REMOVABLE_MEDIA_DATASOURCE_URN
    void                tracker_ontologies_init             (void);
    void                tracker_ontologies_shutdown         (void);
    void                tracker_ontologies_add_namespace    (TrackerNamespace *namespace_);
    void                tracker_ontologies_add_class        (TrackerClass *service);
    void                tracker_ontologies_add_ontology     (TrackerOntology *ontology);
    void                tracker_ontologies_add_property     (TrackerProperty *field);
    void                tracker_ontologies_add_id_uri_pair  (gint id,
                                                             const gchar *uri);
    TrackerNamespace ** tracker_ontologies_get_namespaces   (guint *length);
    TrackerNamespace *  tracker_ontologies_get_namespace_by_uri
                                                            (const gchar *namespace_uri);
    TrackerClass **     tracker_ontologies_get_classes      (guint *length);
    TrackerClass *      tracker_ontologies_get_class_by_uri (const gchar *service_uri);
    TrackerOntology **  tracker_ontologies_get_ontologies   (guint *length);
    TrackerOntology *   tracker_ontologies_get_ontology_by_uri
                                                            (const gchar *namespace_uri);
    TrackerProperty **  tracker_ontologies_get_properties   (guint *length);
    TrackerProperty *   tracker_ontologies_get_property_by_uri
                                                            (const gchar *uri);
    const gchar*        tracker_ontologies_get_uri_by_id    (gint id);

## Description

## Details

### TRACKER_RDF_PREFIX

    #define TRACKER_RDF_PREFIX      "http://www.w3.org/1999/02/22-rdf-syntax-ns#"

### TRACKER_RDFS_PREFIX

    #define TRACKER_RDFS_PREFIX     "http://www.w3.org/2000/01/rdf-schema#"

### TRACKER_XSD_PREFIX

    #define TRACKER_XSD_PREFIX      "http://www.w3.org/2001/XMLSchema#"

### TRACKER_TRACKER_PREFIX

    #define TRACKER_TRACKER_PREFIX  "http://www.tracker-project.org/ontologies/tracker#"

### TRACKER_DC_PREFIX

    #define TRACKER_DC_PREFIX       "http://purl.org/dc/elements/1.1/"

### TRACKER_MAEMO_PREFIX

    #define TRACKER_MAEMO_PREFIX    "http://maemo.org/ontologies/tracker#"

### TRACKER_NRL_PREFIX

    #define TRACKER_NRL_PREFIX      "http://www.semanticdesktop.org/ontologies/2007/08/15/nrl#"

### TRACKER_NMO_PREFIX

    #define TRACKER_NMO_PREFIX      "http://www.semanticdesktop.org/ontologies/2007/03/22/nmo#"

### TRACKER_NIE_PREFIX

    #define TRACKER_NIE_PREFIX      "http://www.semanticdesktop.org/ontologies/2007/01/19/nie#"

### TRACKER_NCO_PREFIX

    #define TRACKER_NCO_PREFIX      "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#"

### TRACKER_NAO_PREFIX

    #define TRACKER_NAO_PREFIX      "http://www.semanticdesktop.org/ontologies/2007/08/15/nao#"

### TRACKER_NID3_PREFIX

    #define TRACKER_NID3_PREFIX     "http://www.semanticdesktop.org/ontologies/2007/05/10/nid3#"

### TRACKER_NFO_PREFIX

    #define TRACKER_NFO_PREFIX      "http://www.semanticdesktop.org/ontologies/2007/03/22/nfo#"

### TRACKER_NMM_PREFIX

    #define TRACKER_NMM_PREFIX      "http://www.tracker-project.org/temp/nmm#"

### TRACKER_MLO_PREFIX

    #define TRACKER_MLO_PREFIX      "http://www.tracker-project.org/temp/mlo#"

### TRACKER_DATASOURCE_URN_PREFIX

    #define             TRACKER_DATASOURCE_URN_PREFIX

### TRACKER_NON_REMOVABLE_MEDIA_DATASOURCE_URN

    #define             TRACKER_NON_REMOVABLE_MEDIA_DATASOURCE_URN

### tracker_ontologies_init ()

    void                tracker_ontologies_init             (void);

### tracker_ontologies_shutdown ()

    void                tracker_ontologies_shutdown         (void);

### tracker_ontologies_add_namespace ()

    void                tracker_ontologies_add_namespace    (TrackerNamespace *namespace_);

`namespace_` : |

### tracker_ontologies_add_class ()

    void                tracker_ontologies_add_class        (TrackerClass *service);

`service` : |

### tracker_ontologies_add_ontology ()

    void                tracker_ontologies_add_ontology     (TrackerOntology *ontology);

`ontology` : |

### tracker_ontologies_add_property ()

    void                tracker_ontologies_add_property     (TrackerProperty *field);

`field` : |

### tracker_ontologies_add_id_uri_pair ()

    void                tracker_ontologies_add_id_uri_pair  (gint id,
                                                             const gchar *uri);

`id` : |
`uri` : |

### tracker_ontologies_get_namespaces ()

    TrackerNamespace ** tracker_ontologies_get_namespaces   (guint *length);

`length` : |
Returns : |

### tracker_ontologies_get_namespace_by_uri ()

    TrackerNamespace *  tracker_ontologies_get_namespace_by_uri
                                                            (const gchar *namespace_uri);

`namespace_uri` : |
Returns : |

### tracker_ontologies_get_classes ()

    TrackerClass **     tracker_ontologies_get_classes      (guint *length);

`length` : |
Returns : |

### tracker_ontologies_get_class_by_uri ()

    TrackerClass *      tracker_ontologies_get_class_by_uri (const gchar *service_uri);

`service_uri` : |
Returns : |

### tracker_ontologies_get_ontologies ()

    TrackerOntology **  tracker_ontologies_get_ontologies   (guint *length);

`length` : |
Returns : |

### tracker_ontologies_get_ontology_by_uri ()

    TrackerOntology *   tracker_ontologies_get_ontology_by_uri
                                                            (const gchar *namespace_uri);

`namespace_uri` : |
Returns : |

### tracker_ontologies_get_properties ()

    TrackerProperty **  tracker_ontologies_get_properties   (guint *length);

`length` : |
Returns : |

### tracker_ontologies_get_property_by_uri ()

    TrackerProperty *   tracker_ontologies_get_property_by_uri
                                                            (const gchar *uri);

`uri` : |
Returns : |

### tracker_ontologies_get_uri_by_id ()

    const gchar*        tracker_ontologies_get_uri_by_id    (gint id);

`id` : |
Returns : |